Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Gentoo: User

Issues with direct inclusion of glib.h from portage on netbook

 

 

Gentoo user RSS feed   Index | Next | Previous | View Threaded


thatslyude at gmail

Jul 18, 2012, 3:34 PM

Post #1 of 3 (326 views)
Permalink
Issues with direct inclusion of glib.h from portage on netbook

Recently, I have had issues with emerging certain packages on my netbook, specifically x11-themes/gtk-engines-murrine and gpe-base/libgpewidget. However, they emerge just fine on my desktop. My netbook and desktop are both x86_64/amd64 (yes, some Intel Atom's can do amd64, my netbook has one of them). The error always seems to be a direct inclusion of glib.h that shouldn't be there. I can fix it by patching it in a local overlay, but I don't know why I should be having these issues in the first place if my desktop can emerge the packages just fine. Does anyone know what's going on?
Attachments: murrine.build.log (9.69 KB)
  info.libgpewidget.txt (4.62 KB)
  pqv.libgpewidget.txt (75 B)
  build.libgpewidget.log (89.9 KB)
  info.murrine.txt (4.37 KB)
  pqv.murrine.txt (0.13 KB)
  signature.asc (0.82 KB)


peter.alfredsen at gmail

Jul 22, 2012, 3:05 AM

Post #2 of 3 (307 views)
Permalink
Re: Issues with direct inclusion of glib.h from portage on netbook [In reply to]

On Thu, Jul 19, 2012 at 12:34 AM, Chandler Paul <thatslyude [at] gmail> wrote:
> Recently, I have had issues with emerging certain packages on my netbook, specifically x11-themes/gtk-engines-murrine and gpe-base/libgpewidget. However, they emerge just fine on my desktop. My netbook and desktop are both x86_64/amd64 (yes, some Intel Atom's can do amd64, my netbook has one of them). The error always seems to be a direct inclusion of glib.h that shouldn't be there. I can fix it by patching it in a local overlay, but I don't know why I should be having these issues in the first place if my desktop can emerge the packages just fine. Does anyone know what's going on?

Your logs were TL;DR, but the relevant information may not even be
there, namely:
What is the version of dev-libs/glib on both machines?

The "blah blah include glib.h directly" error comes from having
unstable dev-libs/glib (>=2.31) on stable gentoo.

/Peter


thatslyude at gmail

Jul 22, 2012, 5:28 PM

Post #3 of 3 (307 views)
Permalink
Re: Issues with direct inclusion of glib.h from portage on netbook [In reply to]

On Sun, 22 Jul 2012 12:05:52 +0200
Peter Alfredsen <peter.alfredsen [at] gmail> wrote:

> On Thu, Jul 19, 2012 at 12:34 AM, Chandler Paul
> <thatslyude [at] gmail> wrote:
> > Recently, I have had issues with emerging certain packages on my
> > netbook, specifically x11-themes/gtk-engines-murrine and
> > gpe-base/libgpewidget. However, they emerge just fine on my
> > desktop. My netbook and desktop are both x86_64/amd64 (yes, some
> > Intel Atom's can do amd64, my netbook has one of them). The error
> > always seems to be a direct inclusion of glib.h that shouldn't be
> > there. I can fix it by patching it in a local overlay, but I don't
> > know why I should be having these issues in the first place if my
> > desktop can emerge the packages just fine. Does anyone know what's
> > going on?
>
> Your logs were TL;DR, but the relevant information may not even be
> there, namely:
> What is the version of dev-libs/glib on both machines?
>
> The "blah blah include glib.h directly" error comes from having
> unstable dev-libs/glib (>=2.31) on stable gentoo.
>
> /Peter
>

Looks like you were right, I have a newer version of glib on this machine. I'm not exactly sure how that managed to happen, I must have unmasked it somewhere by accident. Thank you!
Attachments: signature.asc (0.82 KB)

Gentoo user RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.